local minversion = 48
local message = "Outdated clients (older than 5.12) are not supported and will experience graphical issues.\n"..
                "Please update before 2026-06-21 or you will no longer be able to connect."

core.register_on_joinplayer(function(player)
	local info = core.get_player_information(player:get_player_name())
	if info.protocol_version >= minversion then return end
	player:hud_add({
		position = {x = 0.5,y = 0.2},
		name = "deprecationwarning",
		type = "text",
		scale = {x = 100,y = 100},
		number = 0xFF5555,
		alignment = {x = 0,y = 0},
		text = message,
	})
	if core.get_modpath("irc") then irc.say(player:get_player_name().." is using an old version") end
end)
